[Pkg-javascript-commits] [node-browserify-zlib] 30/33: Improve cli

Bastien Roucariès rouca at moszumanska.debian.org
Fri Apr 14 16:24:32 UTC 2017


This is an automated email from the git hooks/post-receive script.

rouca pushed a commit to branch master
in repository node-browserify-zlib.

commit 3c9258dd3bb0d4ca3d6c2a9aa26741f634d7b4d7
Author: Bastien ROUCARIÈS <roucaries.bastien at gmail.com>
Date:   Thu Apr 13 20:17:32 2017 +0200

    Improve cli
---
 debian/tests/control      |  4 ++++
 debian/tests/runtestsuite | 15 +++++++++++++++
 2 files changed, 19 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
index 00d4203..9d42580 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,2 +1,6 @@
 Tests: require
 Depends: node-browserify-zlib
+
+Tests: runtestsuite
+Depends: node-browserify-zlib, imagemagick, node-tape
+
diff --git a/debian/tests/runtestsuite b/debian/tests/runtestsuite
new file mode 100755
index 0000000..07a5329
--- /dev/null
+++ b/debian/tests/runtestsuite
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+# notice the / at end in order to load this module
+PACKAGE='browserify-zlib/'
+SEDCMD="s,require\s*[(]\s*'[.][.][^']*'\s*[)],require('$PACKAGE'),g"
+
+tmpdir=$(mktemp -d)
+trap 'rm -rf "$tmpdir"' EXIT INT TERM HUP
+
+cp -r test $tmpdir/test
+convert rose: $tmpdir/test/fixtures/person.jpg
+find test/ -maxdepth 1 -name '*.js' -print0 | \
+    xargs -0 -n1  \
+	  sh -c 'set -e; echo "TESTING: $3"; sed $1 < $3 > $2/$3; tape "$2/$3"' sedtape "$SEDCMD" "$tmpdir"
+tape $tmpdir/test/*.js

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/node-browserify-zlib.git



More information about the Pkg-javascript-commits mailing list